﻿@model List<MvcWebsiteOcc.Areas.administrators.Models.WebsiteDetail>

@{
    ViewBag.Title = "Thông tin Website";
    ViewBag.Description = "phan quyen";
    Layout = "~/Areas/administrators/Views/Shared/_adminOcc.cshtml";
}

@{
    IEnumerable<MvcWebsiteOcc.Models.Language> langs = ViewBag.LangList;
    MvcWebsiteOcc.Areas.administrators.Models.WebsiteDetail detail = ViewBag.Detail;
}

@using (Html.BeginForm())
{    
    @Html.AntiForgeryToken()
    @Html.ValidationSummary(true)
    <input type="hidden" name="editID" value ="@detail.Web_ID"/>
    <div class="row">
        <div class="col-lg-12 col-sm-12 col-xs-12">
            <div class="widget">
                <div class="widget-header header-large" style="display: block;">
                    <span class="widget-caption">@ViewBag.Title</span>
                    <div class="widget-buttons">
                        @*<button class="btn btn-darkorange " onclick="window.location.href='/administrators/systems_manager/roles_manager'">
                            <i class="fa fa-arrow-left"></i>
                            Hủy
                        </button>*@
                        <button class="btn btn-success " name="save" type="submit" value="save">Lưu <i class="fa fa-check right"></i></button>
                        <a href="#" data-toggle="maximize">
                            <i class="fa fa-expand"></i>
                        </a>
                    </div>
                </div>
                <div class="widget-body">
                    <div class="widget-main">
                        <div class="row">
                            <div class="tabbable col-lg-7 col-sm-7 col-xs-12">

                                <ul class="nav nav-tabs  tabs-flat">

                                    @{foreach (var lang in langs)
                                      {
                                          if (lang.IsDefault == true)
                                          {
                                        <li class="active"><a data-toggle="tab" href="#@lang.Lang_Code" aria-expanded="false">
                                            <img src="/Uploaded/images/language/@lang.Lang_Flag">
                                            @lang.Lang_Name</a></li> 
                                          }
                                          else
                                          {
                                        <li class=""><a data-toggle="tab" href="#@lang.Lang_Code" aria-expanded="false">
                                            <img src="/Uploaded/images/language/@lang.Lang_Flag">
                                            @lang.Lang_Name</a></li>  
                                          }
                                      }}
                                </ul>

                                <div class="tab-content  tabs-flat">

                                    @{ int i = 0;
                                       foreach (var lang in langs)
                                       {
                                           string activeTab = "";
                                           if (lang.IsDefault == true)
                                           {
                                               activeTab = "active";
                                           }
                                      
                                        <div class="tab-pane @activeTab" id="@lang.Lang_Code">
                                            <div id="registration-form">
                                                <div class="row">

                                                    <div class="form-title">
                                                        Sơ lược về công ty
                                                    </div>
                                                    @Html.HiddenFor(p => p[i].Lang_ID, new { Value = lang.Lang_ID })
                                                    <div class="form-group">
                                                        <label for="emailInput">@Html.LabelFor(model => model[i].TenCongTy)</label>
                                                        @Html.TextBoxFor(p => p[i].TenCongTy, new { placeholder = "Tên công ty", @class = "form-control" })
                                                        <span class="help-block warning">@Html.ValidationMessageFor(p => p[i].TenCongTy)</span>
                                                    </div>
                                                     <div class="form-group">
                                                        <label for="emailInput">@Html.LabelFor(model => model[i].TenRutGon)</label>
                                                        @Html.TextBoxFor(p => p[i].TenRutGon, new { placeholder = "Tên rút gọn của công ty", @class = "form-control" })
                                                        <span class="help-block warning">@Html.ValidationMessageFor(p => p[i].TenRutGon)</span>
                                                    </div>
                                                    <div class="form-group">
                                                        <label for="emailInput">@Html.LabelFor(model => model[i].Slogan)</label>
                                                        @Html.TextBoxFor(p => p[i].Slogan, new { placeholder = "Slogan", @class = "form-control" })
                                                        <span class="help-block warning">@Html.ValidationMessageFor(p => p[i].Slogan)</span>
                                                    </div>
                                                    <div class="form-group">
                                                        <label for="emailInput">@Html.LabelFor(model => model[i].DiaChi)</label>
                                                        @Html.TextAreaFor(p => p[i].DiaChi, new { placeholder = "Địa chỉ", @class = "form-control textAuto" })
                                                        <span class="help-block warning">@Html.ValidationMessageFor(p => p[i].DiaChi)</span>
                                                    </div>
                                                    <div class="form-group">
                                                        <label for="emailInput">@Html.LabelFor(model => model[i].GioiThieu)</label>
                                                        @Html.TextAreaFor(p => p[i].GioiThieu, new { placeholder = "Địa chỉ", @class = "form-control textAuto summernote" })
                                                        <span class="help-block warning">@Html.ValidationMessageFor(p => p[i].GioiThieu)</span>
                                                    </div>
                                                </div>

                                            </div>
                                        </div>
                                           i++;
                                       }
                                    }

                                </div>
                                <div class="row">
                                    <div class="tabbable col-lg-12 col-sm-12 col-xs-12">
                                        <div class="form-title">
                                            Xác định trên bản đồ
                                        </div>
                                        <div class="row">
                                            <div class="col-lg-12 col-sm-12 col-xs-12">
                                                <section id="place-on-map">
                                                    <label for="address-map">Nhập địa chỉ</label>
                                                    <input type="text" class="form-control" id="address-map" name="map_address">
                                                    <!-- /.form-group -->
                                                    <label for="address-map">Chọn trên bản đồ</label>
                                                    <div id="submit-map"></div>
                                                    <div class="row">
                                                        <div class="col-md-6">
                                                            @{if (detail.latitude != null && detail.longitude != null)
                                                              {
                                                                <input value="@detail.latitude" data-val="true" id="lat" name="lat" type="hidden">
                                                                <input value="@detail.longitude" data-val="true" id="long" name="long" type="hidden">
                                                              }
                                                              else
                                                              {
                                                                <input value="20.98096993816383" data-val="true" id="lat" name="lat" type="hidden">
                                                                <input value="105.7874679054687" data-val="true" id="long" name="long" type="hidden">
                                                              }}


                                                            <input type="text" class="form-control" id="latitude" name="latitude" readonly>

                                                            <!-- /.form-group -->
                                                        </div>
                                                        <div class="col-md-6">

                                                            <input type="text" class="form-control" id="longitude" name="longitude" readonly>

                                                            <!-- /.form-group -->
                                                        </div>
                                                    </div>
                                                </section>
                                                <!-- /#place-on-map -->
                                            </div>

                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="tabbable col-lg-5 col-sm-5 col-xs-12">
                                <div class="form-title">
                                    Logo công ty
                                </div>
                                <div class="row">
                                    <div class="col-lg-12 col-sm-12 col-xs-12">
                                        <span class="help-block">Ảnh logo công ty có định dạng .png, .jpg ... ! </span>
                                    </div>

                                    <div class="col-lg-12 col-sm-12 col-xs-12">
                                        @(Html.Kendo().Upload()
                                                       .Name("file_image")
                                                        .TemplateId("fileTemplate")
                                                        .Multiple(false)
                                                        .Events(events => events
                                                            .Select("onSelect"))
                                                        .Async(ass => ass
                                                        .Save("updateLogo", "website_manager", new { id = detail.Web_ID })
                                                        .AutoUpload(true))
                                                        .Messages(m => m.Select("Upload ảnh"))
                                                        .Messages(m => m.UploadSelectedFiles("Upload"))
                                                        .Files(
                                                        files =>
                                                        {
                                                            files.Add().Name(detail.Logo);
                                                        })
                                                       )

                                        <script id="fileTemplate" type="text/x-kendo-template">
    
                                            <span class='k-progress'></span>
                                            <img class='k-icon k_img_one  #=addExtensionClass(files[0].extension)#' src='/Uploaded/Images/logo/#=name#'/> <!-- here im trying to bind the image -->
                                            <span class='k-filename' title='#=name#'>#=name#</span>
                                            <strong class="k-upload-status">
                                                <button type="submit" class="k-button k-button-bare k-upload-action">
                                                </button>
                                            </strong>

                                        </script>
                                    </div>

                                </div>
                                <div class="form-title">
                                    Thông tin công ty
                                </div>
                                <div class="row">
                                    <div class="col-lg-12 col-sm-12 col-xs-12">
                                        <div class="form-group">
                                            <label for="emailInput">Hotline</label>
                                            @Html.TextBox("Hotline", detail.Hotline, new { @class = "form-control" })
                                        </div>
                                        <div class="form-group">
                                            <label for="emailInput">Số điện thoại</label>
                                            @Html.TextBox("SoDienThoai", detail.SoDienThoai, new { @class = "form-control" })
                                        </div>
                                        <div class="form-group">
                                            <label for="emailInput">Fax</label>
                                            @Html.TextBox("Fax", detail.Fax, new { @class = "form-control" })
                                        </div>
                                        <div class="form-group">
                                            <label for="emailInput">Email</label>
                                          <span class="help-block">Các Email cần cách nhau bởi " | " </span>
                                            @Html.TextBox("Email", detail.Email, new { @class = "form-control" })
                                        </div>
                                        <div class="form-group">
                                            <label for="emailInput">Website</label>
                                            @Html.TextBox("Website", detail.Website, new { @class = "form-control" })
                                        </div>
                                    </div>
                                </div>
                                <div class="form-title">
                                    Mạng xã hội
                                </div>
                                <div class="row">
                                    <div class="col-lg-12 col-sm-12 col-xs-12">
                                        <div class="form-group">
                                            <label for="emailInput">Facebook</label>
                                            @Html.TextBox("Facebook", detail.Facebook, new { @class = "form-control" })
                                        </div>
                                        <div class="form-group">
                                            <label for="emailInput">Twitter</label>
                                            @Html.TextBox("Twitter", detail.Twitter, new { @class = "form-control" })
                                        </div>
                                        <div class="form-group">
                                            <label for="emailInput">Google +</label>
                                            @Html.TextBox("Google", detail.Google, new { @class = "form-control" })
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
}

<script>
    function onSelectFile(e) {
        var files = e.files;

        $.each(files, function () {

            if (this.extension.toLowerCase() != ".xml") {
                alert("Chỉ có thể up file .xml!")
                e.preventDefault();
            }

        });
    }
    var a = 0;
    function onSelect(e) {
        //check image size
        //read file
        $.each(e.files, function (index, value) {
            readMultipleFiles(value);
        });
        //check type file
        $.each(e.files, function (index, value) {
            var ext = e.files[index].extension.toLowerCase();
            if ($.inArray(ext, ['.gif', '.jpeg', '.jpg', '.png']) == -1) {
                //alert('Bạn chỉ có thể upload ảnh có định dạng .gif, .jpeg, .jpg, .png');
                $('#modal-warning').modal('show')
                e.preventDefault();
                return false;
            }
            return true;
        });



        a++;
    }
    //set class for <img/>
    function addExtensionClass(extension) {
        return 'viewImg' + a;
    }
    //set src for <img/>
    function readMultipleFiles(file) {
        var reader = new FileReader();
        reader.onload = function (e) {
            // bind the file content
            $('.viewImg' + a + '').attr({ src: e.target.result });
        }
        reader.readAsDataURL(file.rawFile);
    }
</script>


<div class="modal fade modal-message modal-warning" id="modal-warning" aria-hidden="false">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <i class="fa fa-warning"></i>
            </div>
            <div class="modal-title">
                Thông báo
            </div>
            <div class="modal-body">
                Bạn chỉ có thể upload ảnh có định dạng .gif, .jpeg, .jpg, .png !
            </div>
            <div class="modal-footer">
                <button data-dismiss="modal" class="btn btn-warning " type="button" name="back" value="OK">Ok</button>
            </div>
        </div>
    </div>
</div>

<script>
    var _latitude = $("#lat").val();
    var _longitude = $("#long").val();

    $('#latitude').val(_latitude);
    $('#longitude').val(_longitude);

    google.maps.event.addDomListener(window, 'load', initSubmitMap(_latitude, _longitude));
    function initSubmitMap(_latitude, _longitude) {
        var mapCenter = new google.maps.LatLng(_latitude, _longitude);
        var mapOptions = {
            zoom: 15,
            center: mapCenter,
            disableDefaultUI: false,
            //scrollwheel: false,
            //styles: mapStyles
        };
        var mapElement = document.getElementById('submit-map');
        var map = new google.maps.Map(mapElement, mapOptions);
        var marker = new MarkerWithLabel({
            position: mapCenter,
            map: map,
            icon: '/Static/admin/map/marker.png',
            labelAnchor: new google.maps.Point(50, 0),
            draggable: true
        });
        $('#submit-map').removeClass('fade-map');
        google.maps.event.addListener(marker, "mouseup", function (event) {
            var latitude = this.position.lat();
            var longitude = this.position.lng();
            $('#latitude').val(latitude);
            $('#longitude').val(longitude);
        });

        //      Autocomplete
        var input = (document.getElementById('address-map'));
        var autocomplete = new google.maps.places.Autocomplete(input);
        autocomplete.bindTo('bounds', map);
        google.maps.event.addListener(autocomplete, 'place_changed', function () {
            var place = autocomplete.getPlace();
            if (!place.geometry) {
                return;
            }
            if (place.geometry.viewport) {
                map.fitBounds(place.geometry.viewport);
            } else {
                map.setCenter(place.geometry.location);
                map.setZoom(17);
            }
            marker.setPosition(place.geometry.location);
            marker.setVisible(true);
            $('#latitude').val(marker.getPosition().lat());
            $('#longitude').val(marker.getPosition().lng());
            var address = '';
            if (place.address_components) {
                address = [
                    (place.address_components[0] && place.address_components[0].short_name || ''),
                    (place.address_components[1] && place.address_components[1].short_name || ''),
                    (place.address_components[2] && place.address_components[2].short_name || '')
                ].join(' ');
            }
        });

    }

    function success(position) {
        initSubmitMap(position.coords.latitude, position.coords.longitude);
        $('#latitude').val(position.coords.latitude);
        $('#longitude').val(position.coords.longitude);
    }

    $('.geo-location').on("click", function () {
        if (navigator.geolocation) {
            $('#submit-map').addClass('fade-map');
            navigator.geolocation.getCurrentPosition(success);
        } else {
            error('Geo Location is not supported');
        }
    });

</script>

@section PageScripts{

    <!--Jquery Autosize-->
    <script src="/Static/admin/assets/js/textarea/jquery.autosize.js"></script>

    <script>

        $('.textAuto').autosize({ append: "\n" });

        $(document).ready(function () {
            $("#websites").addClass("active open");
            $("#configs").addClass("active");
        });

    </script>

    <!--Summernote Scripts-->
    <script src="/Static/admin/assets/js/editors/summernote/summernote.js"></script>
    <script src="/Static/admin/assets/js/editors/summernote/summernote-vi-VN.js"></script>
    <script>

        //var markupStr = 'hello world';
        //$('.summernote').summernote('code', markupStr);
        $('.summernote').summernote({
            height: 100,                 // set editor height
            lang: 'vi-VN'
        });
    </script>

}